Main Page Class Hierarchy Alphabetical List Compound List Examples

Classes | Typedefs | Enumerations | Functions | Variables
mimetic Namespace Reference

## Classes

class | Body
| MIME message body. More...
struct | codec
| Codecs base class. More...
struct | unbuffered_codec
| Base class for unbuffered codecs. More...
struct | buffered_codec
| Base class for buffered codecs. More...
struct | codec_chain
| Defines a chain of codecs. More...
struct | NullCodec
| Pass through codec. Copies input to output. More...
struct | ToUpperCase
| Converts input chars to upper case. More...
struct | ToLowerCase
| Converts input chars to lower case. More...
struct | Lf2CrLf
| Converts any LF (\n) to CRLF (\r\n). More...
struct | MaxLineLen
| Inserts a new line if the input line is too long. More...
struct | ContentDescription
| Content-Description field value. More...
struct | ContentDisposition
| Content-Disposition field value. More...
struct | ContentId
| Content-ID field value. More...
struct | ContentTransferEncoding
| Content-Transfer-Encoding field value. More...
class | ContentType
| Content-Type field value. More...
struct | FieldParam
| Field param. More...
struct | Header
| MIME message header class. More...
struct | TextEntity
| Base class for text/* MIME entities. More...
struct | TextPlain
| text/plain entity class More...
struct | TextEnriched
| text/enriched entity class More...
struct | MultipartEntity
| Base multipart/* class. More...
struct | MultipartMixed
| multipart/mixed entity class More...
struct | MultipartParallel
| multipart/parallel entity class More...
struct | MultipartAlternative
| multipart/alternative entity class More...
struct | MultipartDigest
| multipart/digest entity class More...
struct | ApplicationOctStream
| application/octet-stream entity class More...
struct | Attachment
| Helper class to embed file attachments. More...
struct | ImageJpeg
| image/jpeg attachment More...
struct | AudioBasic
| audio/basic attachment More...
struct | MessageRfc822
| message/rfc822 entity type More...
class | MimeEntity
| Represent a MIME entity. More...
struct | MimeVersion
| Mime-Version field value. More...
struct | FileOp
| Defines some file utility functions. More...
struct | MMFile
| Memory mapped file. More...
struct | IteratorParser
| Parse the input reading from an iterator. More...
struct | Address
| Address class as defined by RFC822. More...
struct | AddressList
| List of Address. More...
struct | DateTime
| RFC822 DateTime field representation. More...
struct | Field
| Field class as defined by RFC822. More...
struct | FieldValue
| Value of an header field (base class). More...
struct | StringFieldValue
| Unstructured field value. More...
struct | Group
| Represent the group type in the RFC822. More...
class | Rfc822Header
| RFC822 header class object. More...
struct | Mailbox
| Represents a mailbox email address as defined in the RFC822. More...
struct | MailboxList
| List of Mailbox objects. More...
struct | Message
| Simple RFC 822 message type. More...
struct | MessageId
class | ItTokenizer
| Iterator tokenizer template class. More...
struct | ContTokenizer
| char container tokenizer template class More...
struct | TreeNode
| INTERNAL: N-tree impl. More...
struct | Version
| A three levels version string class. More...

## Typedefs

typedef std::list< FieldParam > | FieldParamList
typedef std::list< MimeEntity * > | MimeEntityList
| List of MimeEntity classes.
typedef StdFile | File
typedef unsigned int | ParsingElem
typedef std::string | Rfc822Body
| RFC822 body type.
typedef ContTokenizer< std::string > | StringTokenizer
| std::string tokenizer

## Enumerations

enum | { imNone = 0 , imHeader = 1 << 6 , imBody = 1 << 7 , imChildParts = 1 << 8 , imPreamble = 1 << 9 , imEpilogue = 1 << 10 }

## Functions

template<typename InIt, typename OutIt, typename Codec>
void | code (InIt beg, InIt end, Codec &cc, OutIt out)
template<typename InIt, typename OutIt, typename Codec>
void | code (InIt beg, InIt end, Codec &cc, OutIt out, const buffered_codec_type_tag &)
template<typename InIt, typename OutIt, typename Codec>
void | code (InIt beg, InIt end, Codec &codec, OutIt out, const unbuffered_codec_type_tag &)
template<typename InIt, typename OutIt, typename Codec, typename Next>
void | code (InIt beg, InIt end, const codec_chain< Codec, Next > &cc, OutIt out)
template<typename InIt, typename OutIt, typename Codec>
void | encode (InIt beg, InIt end, Codec &cc, OutIt out)
| Encodes (beg, end] using `cc` codec.
template<typename InIt, typename OutIt, typename Codec>
void | decode (InIt beg, InIt end, Codec &cc, OutIt out)
| decodes (beg, end] using cc codec and write any
template<typename InIt, typename OutIt, typename Codec, typename Next>
void | encode (InIt beg, InIt end, const codec_chain< Codec, Next > &cc, OutIt out)
template<typename InIt, typename OutIt, typename Codec, typename Next>
void | decode (InIt beg, InIt end, const codec_chain< Codec, Next > &cc, OutIt out)
std::string | gethostname ()
| Returns host name.
int | getpid ()
| Returns the ID of the calling process.
bool | operator== (const istring &is, const std::string &s)
bool | operator!= (const istring &is, const std::string &s)
bool | operator!= (const istring &is, const char *str)
bool | operator== (const istring &is, const char *str)
std::string | dquoted (const std::string &s)
std::string | parenthed (const std::string &s)
std::string | remove_dquote (const std::string &s)
| removes double quotes
std::string | canonical (const std::string &s, bool no_ws=false)
std::string | remove_external_blanks (const std::string &in)
| removes leading and trailing blanks
std::ostream & | crlf (std::ostream &)
std::ostream & | nl (std::ostream &)
int | isblank (char c)

## Variables

const std::string | nullstring
const Version | version

## Detailed Description

Author

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Ignore Mask constants to use with load(...) functions if you don't want to load in memory the whole message but just some parts of it to save execution memory and time

## Function Documentation

## ◆ canonical()

std::string canonical | ( | const std::string & | s,
|  | bool | no_ws = false )

returns the canonical representation of `s` (see RFC822) if `no_ws` is true removes all blanks from the resulting string

## ◆ decode()

template<typename InIt, typename OutIt, typename Codec>

void decode | ( | InIt | beg,
|  | InIt | end,
|  | Codec & | cc,
|  | OutIt | out )

decodes (beg, end] using cc codec and write any

decodes (beg, end] using cc codec and write any output characters to the output iterator out

## ◆ encode()

template<typename InIt, typename OutIt, typename Codec>

void encode | ( | InIt | beg,
|  | InIt | end,
|  | Codec & | cc,
|  | OutIt | out )

Encodes (beg, end] using `cc` codec.

Encodes (beg, end] using `cc` codec and write any output characters to the output iterator `out`.

`cc` can be a simple codec:

Base64::Encoder b64;
code(beg, end, b64, out);
mimetic::Base64::Encoder
Base64 encoder.
Definition base64.h:38

or a chain of codecs:

Base64::Encoder b64;
ToUpperCase tuc;
code(beg, end, tuc | b64, out);
mimetic::ToUpperCase
Converts input chars to upper case.
Definition other_codecs.h:38